
Core - Bug # 31589

Status: Closed Priority: Must have
Author: Daniel Minder Category: Backend User Interface
Created: 2011-11-04 Assigned To:
Updated: 2014-07-10 Due date:
TYPO3 Version: 4.5
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: returnUrl in sysext filelist points to deprecated file_list.php
Description

Go to the file manager, select a folder, and in the right frame click on the "new" button. Then create a new folder. Now, a new entry is
appended to the deprecation log since typo3/file_list.php is called.

The file list is rendered by typo3/sysext/filelist/mod1/file_list.php. There, the "new" button is created as a call to
""../../../file_newfolder.php", which is typo3/file_newfolder.php. The parameter list includes "returnUrl=file_list.php". When returning from
file_newfolder, the file_list.php is called relatively to file_newfolder, which is typoe/file_list.php. And so, the deprecation log is
triggered.

Should the returnUrl simply include the path to the sysext?

Related issues:
related to LTS Smooth Migration - Task # 49197: Check for 'Remove leftover de... Rejected 2013-06-17

History
#1 - 2012-03-30 10:57 - Markus Kappe

Problem still exists in 4.5.14 and 4.6.7

#2 - 2014-03-15 13:51 - Markus Klein
- Status changed from New to Needs Feedback
- Is Regression set to No

Still an issue on 6.2?

#3 - 2014-07-10 14:56 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this ticket.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
